Create Guest Profile

POST /guest-profiles

Create a new guest profile with basic information. The profile is created in ACTIVE status along with an associated project. Required fields are firstName, lastName, and shortBio. Optional fields include contact details, social links, and bio details. When provided, LinkedIn URLs trigger a profile scrape, website URLs trigger a website crawl, and company names trigger a SERP search — all run asynchronously in the background. A guest appearances search is also triggered automatically.

TOKEN

Authentication

This endpoint requires an API token. You can learn more about how to get an API token from the authentication page.

URL

https://api.podengine.ai/api/v1/guest-profiles

Code Example

API Specification

Request Body

PropertyTypeDescription
firstName
string ⓘ

Constraints:

min(1)

First name of the guest

lastName
string ⓘ

Constraints:

min(1)

Last name of the guest

shortBio
string ⓘ

Constraints:

min(1)

A short bio for the guest

longBiooptional
string

A longer bio for the guest

emailoptional
string ⓘ

Constraints:

email

Email address

phoneoptional
string

Phone number

companyNameoptional
string

Company name

websiteUrloptional
string ⓘ

Constraints:

url

Website URL

bookingUrloptional
string ⓘ

Constraints:

url

Calendar booking URL

linkedInoptional
string ⓘ

Constraints:

url

LinkedIn profile URL

onePagerUrloptional
string ⓘ

Constraints:

url

One-pager document URL

topicsToDiscussoptional
array
of
string

Topics the guest wants to discuss

areasOfExpertiseoptional
array
of
string

Areas of expertise

goalsoptional
array
of
string

Goals for podcast appearances

thingsToAvoidoptional
array
of
string

Topics or things to avoid

additionalContextoptional
string

Any additional context about the guest

createAlertoptional
boolean

Optionally create a person alert for this guest, defaults to true

200

Success Response

PropertyTypeDescription
status
literal: OK

data
object

guestProfileId
string

guestProfileSlug
string

projectId
string

projectSlug
string